Subject: Re: [PATCH v5 3/3] test-stdlib: show that git-std-lib is independent

From: Junio C Hamano <[email-masked]>
Date: Thu, 07 Mar 2024 13:13:09 -0800

Calvin Wan <[email-masked]> writes:

> +	strbuf_commented_addf(sb, '#', "%s", "foo");

Of course, this will need to be adjusted when it meets the "let's
allow more than one byte for a comment character" series by Peff.
It should now read

	strbuf_commented_addf(sb, "#", "%s", "foo");

of course.

This is a usual "a function changes in one topic, while the other
topic adds more callers to it" problem a maintainer is expected to
handle fine, so there is nothing special that needs to be done by
contributors, but just giving you a head's up when you yourself test
your updated version to ensure it works well with other topics in
flight.